<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DataTable</title>
    <!-- CSS -->
    <link rel="stylesheet" href="./css/style.css">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://code.iconify.design/iconify-icon/1.0.1/iconify-icon.min.js"></script>
    <!-- JS -->
    <script src="./js/index.js" defer></script>
</head>

<body>
    <div id="root" class="p-10 flex flex-col items-center ">
        <!-- Header -->
        <header class="font-semibold text-center text-[40px] text-[#49ABB5]">DataTable</header>
        <div class="flex justify-between w-3/4 filter-container mb-4 mt-8">
            <div class="left-side flex gap-4 items-center ">
                <label>Show</label>
                <select class="selection w-16">
                    <option value="10">10</option>
                    <option value="25">25</option>
                    <option value="50">50</option>
                    <option value="100">100</option>
                </select>
                <label>entries</label>
            </div>
            <div class="right-side left-side flex gap-4 items-center">
                <label>Search:</label>
                <input type="text" class="search px-2 py-1 rounded-sm border-sky-900 border-[1px]" class="input-search">
            </div>
        </div>
        <!-- Table -->
        <table class="p-10 rounded-md w-3/4 h-1/2  main-table">
            <thead class="t-head">

            </thead>
            <tbody class="t-body w-full">

            </tbody>
        </table>
        <!-- pagination -->
        <div class="pagination flex gap-2 mt-5">
            <div class="prev btn">Previous</div>
            <ul class="pagination-wrap flex gap-3 m-0 list-none">

            </ul>
            <div class="next btn">Next</div>
            </>
        </div>
        <!-- config tailwind -->
        <script>
            tailwind.config = {
                theme: {
                    extend: {
                        colors: {
                            clifford: '#da373d',
                        }
                    }
                }
            }
        </script>
</body>

</html>